package com.bwie.es.feign;

import com.bwie.common.domain.request.FriendsRequest;
import com.bwie.common.domain.response.FriendsResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Version 1.0
 */
@FeignClient(name = "work-user", fallbackFactory = FriendFeignServiceImpl.class)
public interface FriendFeignService {
    @PostMapping("/user/friend/list")
    public Result<PageResult<FriendsResponse>> list(@RequestBody FriendsRequest friendRequest);

    @PostMapping("/user/friend/findAll")
    public Result<List<FriendsResponse>> findAll();
}
