package com.bwie.es.sync;

import com.bwie.common.constants.Constants;
import com.bwie.common.domain.response.FriendsResponse;
import com.bwie.common.result.Result;
import com.bwie.es.feign.FriendFeignService;
import com.bwie.es.service.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@Component
public class SyncToEs {

    @Autowired
    private FriendFeignService friendFeignService;

    @Autowired
    private EsService esService;

    @Scheduled(cron = "30 * * * * *")
    public void run(){
        Result<List<FriendsResponse>> all = friendFeignService.findAll();
        if (all.getCode() != Constants.ERROR){
            List<FriendsResponse> data = all.getData();
            if (data.size() > 0 && data!=null){
                for (FriendsResponse datum : data) {
                    esService.add(datum);
                }
            }
        }
    }
}
