package com.bwie.user.controller;

import com.bwie.common.domain.request.FriendsRequest;
import com.bwie.common.domain.response.FriendsResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.user.service.FriendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@RestController
@RequestMapping("/friend")
public class FriendController {

    @Autowired
    private FriendService friendService;

    @PostMapping("/list")
    public Result<PageResult<FriendsResponse>> list(@RequestBody FriendsRequest friendRequest) {
        return friendService.list(friendRequest);
    }

    @PostMapping("/unFriends")
    public Result<List<FriendsResponse>> unFriends(){
        List<FriendsResponse> unFriends = friendService.unFriends();
        return Result.success(unFriends);
    }

    @PostMapping("/findAll")
    public Result<List<FriendsResponse>> findAll(){
        List<FriendsResponse> all = friendService.findAll();
        return Result.success(all);
    }
}
