package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@RestController
public class UserController {

    @Autowired
    private UserService userService;

    @GetMapping("/findByTel/{tel}")
    public Result<User> findByTel(@PathVariable("tel") String tel){
        User user = userService.findByTel(tel);
        if (null == user){
            return Result.error("没找到用户");
        }
        return Result.success(user);
    }

    @GetMapping("/findById/{userId}")
    public Result<User> findById(@PathVariable("userId") Integer userId){
        User user = userService.findById(userId);
        return Result.success(user);
    }

    @GetMapping("/findSelf")
    public Result<User> findSelf(){
        User self = userService.findSelf();
        return Result.success(self);
    }
}
