package com.bwie.user.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.constants.TokenConstants;
import com.bwie.common.domain.User;
import com.bwie.common.utils.JwtUtils;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author LiYonJie
 * @Date 2023/12/21
 * @Description TODO
 * @Version 1.0
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;

    @Autowired
    private RedisTemplate<String, String> redisTemplate;

    @Autowired
    private HttpServletRequest request;

    @Override
    public User findByTel(String tel) {
        return userMapper.findByTel(tel);
    }

    /**
     * 1.6 好友的树信息展示正确，标题好友名称展示正确
     * @param userId
     * @return
     */
    @Override
    public User findById(Integer userId) {
        return userMapper.findById(userId);
    }

    /**
     * 1.5 我的能量树属性展示正确（5分）
     * @return
     */
    @Override
    public User findSelf() {
        return findById(userInfo().getUserId());
    }

    public User userInfo() {
        String token = request.getHeader(TokenConstants.TOKEN);
        String userKey = JwtUtils.getUserKey(token);
        String json = redisTemplate.opsForValue().get(TokenConstants.LOGIN_TOKEN_KEY + userKey);
        return JSONObject.parseObject(json, User.class);
    }
}
